Subject: Re: [PATCH net-next V3 0/3] Introduce and use NUMA distance metrics

From: Jakub Kicinski <[email-masked]>
Date: Mon, 25 Jul 2022 11:20:41 -0700

On Sun, 24 Jul 2022 15:09:11 +0300 Tariq Toukan wrote:
> On 7/19/2022 7:23 PM, Tariq Toukan wrote:
> > Hi,
> > 
> > Implement and expose CPU spread API based on the scheduler's
> > sched_numa_find_closest().  Use it in mlx5 and enic device drivers.  This
> > replaces the binary NUMA preference (local / remote) with an improved one
> > that minds the actual distances, so that remote NUMAs with short distance
> > are preferred over farther ones.
> > 
> > This has significant performance implications when using NUMA-aware
> > memory allocations, improving the throughput and CPU utilization.
>
> Comments on V2 were addressed.
> Please let me now of any other comments on this V3.

Good enough from my POV, just waiting for PeterZ's re-ack since patch 1
has changed.